Missing static translations in .desktop files

Bug #1779574 reported by Pavel Řehák on 2018-07-01
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
High
Unassigned
geary (Ubuntu)
Low
Unassigned
Bionic
Low
Unassigned

Bug Description

Rationale
X-Ubuntu-Gettext-Domain should be added to .desktop files but static translations should be preferred.
[1]

Current state
X-Ubuntu-Gettext-Domain is present in Geary .desktop files but static translations not.

Expected state
Both X-Ubuntu-Gettext-Domain and static translations are present in the .desktop files.

More info:
https://gitlab.gnome.org/GNOME/geary/issues/16

Source:
[1] https://wiki.ubuntu.com/UbuntuDevelopment/Internationalisation/Packaging#Other_translation_files

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: geary 0.12.0-1ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Uname: Linux 4.15.0-20-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Jul 1 20:37:26 2018
SourcePackage: geary
UpgradeStatus: No upgrade log present (probably fresh install)

Pavel Řehák (pavreh) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in geary (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) wrote :

So, it looks like the issue here is that "dh --with gnome" runs dh_translations, but the package is in universe so it doesn't actually use language packs.

This might be sufficient justification for us to add "X-Ubuntu-Use-Langpack: yes" to debian/control.in for all of these Debian GNOME packages in universe. We talked about doing that earlier this year.

This is going to be a huge pain to fix for Ubuntu 18.04 LTS though.

Changed in ubuntu-translations:
importance: Undecided → High
Changed in geary (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Low
Changed in ubuntu-translations:
status: New → Triaged
Jeremy Bicha (jbicha) on 2018-09-02
Changed in geary (Ubuntu Bionic):
importance: Undecided → Low
status: New → Triaged
Gunnar Hjalmarsson (gunnarhj) wrote :

@Jeremy: Another option would be to prevent dh_translations from running. Sounds easier to me.

What's the reason for considering the langpacks for this universe package?

Jeremy Bicha (jbicha) wrote :

I guess you are suggesting we modify the Debian GNOME universe packages to add this to debian/rules instead.

override_dh_translations:

------
Do you have any positives or negatives we should consider before deciding whether to opt these in to language packs?

https://trello.com/c/R7JSYTT8/45-use-ubuntu-langpacks-for-gnome-universe

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2018-09-02 17:58, Jeremy Bicha wrote:
> I guess you are suggesting we modify the Debian GNOME universe packages
> to add this to debian/rules instead.
>
> override_dh_translations:

Yes, that's the alternative I had in mind.

> Do you have any positives or negatives we should consider before deciding
> whether to opt these in to language packs?
>
> https://trello.com/c/R7JSYTT8/45-use-ubuntu-langpacks-for-gnome-universe

Wasn't aware of that card. I have no strong opinion on the topic. If I recall it correctly, the packages where we currently make use of "X-Ubuntu-Use-Langpack: yes" are packages which were previously in main, and thus we had existing Ubuntu only translations which we can keep making use of that way. But I don't see anything which prevents us from enabling the langpacks for more packages.

As you already mentioned, backporting a change to 18.04 would be tricky. Maybe it would be wise to override dh_translations in bionic, and enable langpacks going forward.

If enabling langpacks for new GNOME packages in 18.10, please remember that LP templates need to be created.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package geary - 0.12.4-2

---------------
geary (0.12.4-2) unstable; urgency=medium

  * Cherry-pick 3 patches to fix build with webkit2gtk 2.22
  * Bump minimum libwebkit2gtk-4.0-dev to 2.22

 -- Jeremy Bicha <email address hidden> Sat, 15 Sep 2018 11:03:58 -0400

Changed in geary (Ubuntu):
status: Triaged → Fix Released

An upload of geary to bionic-proposed has been rejected from the upload queue for the following reason: "Wrong version number for upload which sorts > cosmic".

Hello Pavel, or anyone else affected,

Accepted geary into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/geary/0.12.4-4~ubuntu18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in geary (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
Gunnar Hjalmarsson (gunnarhj) wrote :

I downloaded and extracted the geary_0.12.4-4~ubuntu18.04.3_amd64.deb file from bionic-proposed and confirm that the upstream translations are preserved in both the .desktop files and in the geary.mo files in /usr/share/locale.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package geary - 0.12.4-4~ubuntu18.04.3

---------------
geary (0.12.4-4~ubuntu18.04.3) bionic; urgency=medium

  [ Amr Ibrahim ]
  * Backport to bionic (LP: #1815626)

  [ Gunnar Hjalmarsson ]
  * Handle translations for bionic (LP: #1779574):
    - debian/control.in, debian/control:
      - Don't enable language packs.
    - debian/rules:
      - Prevent dh_translations from removing upstream translations
        from the .desktop files.

 -- David Mohammed <email address hidden> Wed, 02 Oct 2019 22:49:05 +0100

Changed in geary (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for geary has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in ubuntu-translations:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers